# application




# embedded server



# datasource

#测试环境
#rds 外网 地址 错误 &amp; 要 修正为 &
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com/ordermanger_qch?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com/ordermanger_test?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s.mysql.rds.aliyuncs.com/ordermanager_uat?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.username=ordertest
#spring.datasource.password=Order$@u0072

spring.datasource.url=jdbc:mysql://112.74.48.214:53307/uniorder_test_20220721?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
spring.datasource.username=root
spring.datasource.password=service_newbak2019


# redis avics.uo#.zj123
spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.redis.database=0
spring.redis.password=
spring.redis.timeout=60000ms

#SpringBoot 2.X版本整合 Redis时，偶尔出现连接超时情况 2.x 版本自带的Redis客户端是 lettuce
spring.redis.jedis.pool.minIdle=0
spring.redis.jedis.pool.maxIdle=8
spring.redis.jedis.pool.maxWait=-1
spring.redis.jedis.pool.maxActive=8



# mybatis & pagehelper

# Dubbo Registry
#dubbo.registry.address=zookeeper://127.0.0.1:2181

#172.18.223.211:2181,

dubbo.registry.protocol=zookeeper
dubbo.registry.address=172.18.223.206:2181
#dubbo.registry.address=127.0.0.1:2181

# Dubbo Protocol
dubbo.application.name=provider-service-all
dubbo.protocol.name=dubbo
dubbo.protocol.port=20883

dubbo.provider.retries=0
dubbo.provider.timeout=10000

# ######################################## 配置 zookeeper start ########################################

#172.18.223.211:2181,

zookeeper.servers=172.18.223.206:2181
#zookeeper.servers=127.0.0.1:2181
zookeeper.lock_path=/lock/
zookeeper.session_timeout_ms=60000
zookeeper.connection_timeout_ms=5000
zookeeper.retry_count=5
zookeeper.elapsed_time_ms=1000

# ######################################## 配置 zookeeper   end ########################################


# ######################################## 配置 todo 整合 start ########################################

uniorder.setting.enabled=true
# 积分结算-未对账流水-创建对账单 对账单存在 未完成/售后中 的订单流水，是否能创建对账单 是-允许 否-不允许
uniorder.setting.accounting.score.customer.opCreate.insist_on_able=false
# 供应商结算-京东对账-导入账单 比对订单时 是否受限于选择的供应商订单 是-只能是选择的供应商;否-全部供应商
uniorder.setting.thirdpart.jd.accounting.OpCompareOrderAndCheckUp.is_limit_sale=false
uniorder.setting.thirdpart.jd.accounting.OpCompareOrderAndCheckUp.is_open_thread_pool=true
uniorder.setting.thirdpart.jd.accounting.OpCompareOrderAndCheckUp.core_pool_size=5
uniorder.setting.thirdpart.jd.accounting.OpCompareOrderAndCheckUp.max_pool_size=10

excel.export.enabled=true
excel.export.path.root=/data/wwwroot/default/tmp
excel.export.path.template=/template
excel.export.path.storage=/_storage

goods.transport.fiscal_code=3040409030000000000
goods.transport.tax_code=3040409030000000000
goods.transport.tax_rate=6

# ######################################## 配置 todo 整合   end ########################################



# ######################################## 配置 调用第三方Api start ########################################

retrofit.pool.test1.max-idle-connections=3
retrofit.pool.test1.keep-alive-second=100
retrofit.disable-void-return-type=false
retrofit.global-converter-factories[0]=com.github.lianjiatech.retrofit.spring.boot.core.BasicTypeConverterFactory
retrofit.global-converter-factories[1]=retrofit2.converter.jackson.JacksonConverterFactory
retrofit.global-call-adapter-factories[0]=com.github.lianjiatech.retrofit.spring.boot.core.BodyCallAdapterFactory
retrofit.global-call-adapter-factories[1]=com.github.lianjiatech.retrofit.spring.boot.core.ResponseCallAdapterFactory
retrofit.log.enable=true
retrofit.log.logging-interceptor=com.github.lianjiatech.retrofit.spring.boot.interceptor.DefaultLoggingInterceptor
retrofit.log.global-log-level=info
retrofit.log.global-log-strategy=body
retrofit.retry.enable-global-retry=true
retrofit.retry.global-interval-ms=1
retrofit.retry.global-max-retries=1
retrofit.retry.global-retry-rules[0]=response_status_not_2xx
retrofit.retry.global-retry-rules[1]=occur_io_exception
retrofit.retry.retry-interceptor=com.github.lianjiatech.retrofit.spring.boot.retry.DefaultRetryInterceptor
retrofit.degrade.enable=true
retrofit.degrade.degrade-type=sentinel
retrofit.degrade.resource-name-parser=com.github.lianjiatech.retrofit.spring.boot.degrade.DefaultResourceNameParser
retrofit.global-connect-timeout-ms=5000
retrofit.global-read-timeout-ms=5000
retrofit.global-write-timeout-ms=5000
retrofit.global-call-timeout-ms=0

# 超级前台 福利商城 测试环境
test.superdeskmall.flsc.baseUrl=https://fmt.superdesk.cn/
test.superdeskmall.flsc.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.flsc.accessKeyId=root
test.superdeskmall.flsc.accessKeySecret=123456

# 侨城汇 福利商城 测试环境
test.superdeskmall.flscqch.baseUrl=https://welfaretest.octlife.cn/
test.superdeskmall.flscqch.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.flscqch.accessKeyId=root
test.superdeskmall.flscqch.accessKeySecret=123456

# 超级前台 企业内购 测试环境
test.superdeskmall.qyng.baseUrl=https://bmt.superdesk.cn/
test.superdeskmall.qyng.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.qyng.accessKeyId=root
test.superdeskmall.qyng.accessKeySecret=123456

# 侨城汇 统一订单 测试环境
test.superdesk.uniorder.octlife.baseUrl=https://ordertest.octlife.cn/
test.superdesk.uniorder.octlife.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdesk.uniorder.octlife.accessKeyId=root
test.superdesk.uniorder.octlife.accessKeySecret=123456

# 超级前台 服务之窗 测试环境
test.superdesk.cloud.opendata.baseUrl=http://wx.palmnest.com/
test.superdesk.cloud.opendata.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdesk.cloud.opendata.accessKeyId=fwzcFiCI7Ulg854dOufU
test.superdesk.cloud.opendata.accessKeySecret=b8c4d9d706c71a08e2230d30f4b713720cb1be0f

# 超级前台 服务之窗 生产环境
#test.superdesk.cloud.opendata.baseUrl=http://superdesk.avic-s.com/
#test.superdesk.cloud.opendata.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
#test.superdesk.cloud.opendata.accessKeyId=fwzcFiCI7Ulg854dOufU
#test.superdesk.cloud.opendata.accessKeySecret=b8c4d9d706c71a08e2230d30f4b713720cb1be0f

# szhtxx.electronicInvoice 测试环境
openapi.call.thirdpart.szhtxx.electronicInvoice.baseUrl=https://eitest.szhtxx.com/dzfpTest/
openapi.call.thirdpart.szhtxx.electronicInvoice.accessToken=1031530698uNeAnogkN8kkbppABrnF+Q==
openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeyId=440301999999980
openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeySecret=

openapi.call.thirdpart.szhtxx.electronicInvoice.enabled=true
openapi.call.thirdpart.szhtxx.electronicInvoice.baseUrl=https://eitest.szhtxx.com:10443/dzfpTest/
openapi.call.thirdpart.szhtxx.electronicInvoice.accessToken=1031530698uNeAnogkN8kkbppABrnF+Q==
openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeyId=440301999999980
openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeySecret=1031530698uNeAnogkN8kkbppABrnF+Q==

# push message url & h5 url
pushMessage.orgId=627
pushMessage.url=http://wx.palmnest.com/super_service/wechat/pushmsgout/phonemsg
h5.url=http://119.23.39.237/avicfile/ordermanger/h5/#/

# ######################################## 配置 调用第三方Api   end ########################################

# ######################################## 配置 开放第三方Api start ########################################

qchjc.push.enable=true
qchjc.domain=http://139.9.216.19:8826

qchjc.customer.makeInvoiceStatusSyncApi=/mall/reconciliationBuyerInvoice/InvoiceStatusSync
qchjc.customer.receivePaymentStatusSyncApi=/mall/reconciliationBuyerInvoice/recPaymentStatusSync
qchjc.customer.statementCancelApi=/mall/reconciliationBuyerInvoice/cancel
qchjc.customer.receiveInvoiceStatusSyncApi=/mall/receiveInvoiceStatusSyncApi

qchjc.supplier.receiveInvoiceStatusSyncApi=/mall/reconciliationSupplier/recInvoiceStatusSync
qchjc.supplier.paymentStatusSyncApi=/mall/reconciliationSupplier/paymentStatusSync
qchjc.supplier.statementCancelApi=/mall/reconciliationSupplier/cancel

# ######################################## 配置 开放第三方Api   end ########################################
